@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;
@use './styles/tools-feedback.variations' as variations;
@use './styles/tools-feedback.variables' as *;

:host {
	@include digi-tools-feedback--variables;
	$base: '.digi-tools-feedback';

	#{$base} {
		background-color: var(--BACKGROUND-COLOR);

		@media (max-width: $digi--breakpoint--small) {
			padding-top: var(--digi--padding--medium);
			padding-inline-start: 0;
			padding-bottom: 3rem;
		}

		&--primary {
			@include variations.primary;
		}

		&--secondary {
			@include variations.secondary;
		}

		&--grid {
			display: grid;
	    padding-inline: var(--digi--padding--medium);

			#{$base}__container {
				grid-column: 1;
				grid-row: 1;
			}
		}

		&__container {
			display: flex;
			flex-direction: row;
			align-items: center;
			padding-top: var(--digi--padding--largest-3);
			padding-bottom: 3.563rem;

			@media (max-width: $digi--breakpoint--small) {
				display: flex;
				flex-direction: column;
				align-items: flex-start;

				padding-inline-start: 0;
				padding-top: 0;
				padding-bottom: 0;
			}


			&-header {
				display: flex;
				flex-direction: row;
				
				padding-inline-end: var(--digi--padding--largest-3);
				font-size: var(--digi--tools-feedback--font-size--desktop);
				font-weight: var(--digi--typography--heading-2--font-weight--desktop);

				@media (max-width: $digi--breakpoint--small) {
					padding-inline-start: 0;
					padding-inline-end: 0;
				}

				&-title {
					margin-top: 0.4rem;
					font-size: var(--digi--tools-feedback--font-size--desktop);
					margin-bottom: 0 !important;

					@media (max-width: $digi--breakpoint--small) {
						font-size: var(--digi--tools-feedback--font-size--mobile);
					}
				}

				&-icon {
					margin-top: 0.4rem;
					padding-inline-end: var(--digi--padding--large);
					flex-shrink: 0;

					@media (max-width: $digi--breakpoint--small) {
						padding-inline-end: var(--digi--padding--medium);
					}
				}
			}

			&-btns {
				display: flex;
				column-gap: var(--digi--padding--smaller);

				digi-button {
					--digi--button--width: 5.625rem;
					text-align: center;
				}

				@media (max-width: $digi--breakpoint--small) {
					padding-top: var(--digi--padding--medium);
					padding-inline-start: calc(58px + 1rem);
				}
			}
		}

		&__close-button {
			// display: grid;
			// justify-content: end;
			// padding-top: var(--digi--padding--medium);
			// padding-inline-end: var(--digi--padding--smaller);

			visibility: hidden;

			// @media (max-width: $digi--breakpoint--small) {
			// 	padding-top: 0;
			// 	padding-bottom: var(--digi--padding--medium);
			// }
		}

		&--step-two {

			.digi-tools-feedback__container{
				padding-bottom:0;
			}
		}

		&--step-three {
			padding-inline-start: var(--digi--padding--medium);
			padding-top: var(--digi--padding--largest-3);
			padding-bottom: 3.563rem;
			
			@media (max-width: $digi--breakpoint--small) {
				padding-inline-start: 0;
			}

			.digi-tools-feedback__container-header-icon {
				margin-top: 0.65rem;
			}
		}
	}
}


::slotted([slot='form']) {
	display: none;
}

.digi-tools-feedback--step-two {

	.digi-tools-feedback__close-button{
			display: grid;
			justify-content: end;
			padding-top: var(--digi--padding--medium);
			padding-inline-end: var(--digi--padding--smaller);

			visibility: visible;

			@media (max-width: $digi--breakpoint--small) {
				padding-top: 0;
				padding-bottom: var(--digi--padding--medium);
			}
	}
}

::slotted([slot='form']) {

  .digi-tools-feedback--step-two & {
    display: flex;
    flex-direction: column;
    padding-top: var(--digi--padding--large);
    padding-bottom: 3.563rem;
    max-width: 37.5rem;

    @media (max-width: $digi--breakpoint--small) {
      padding-inline-start: 0;
    }
  }
}
